Skip to main content
PUT
/
core
/
v3
/
employee-profiles
/
organization-chart-managers
/
{employeeId}
Update organization chart manager by employee id
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/employee-profiles/organization-chart-managers/{employeeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationChartManagerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api-{region}.sesametime.com/core/v3/employee-profiles/organization-chart-managers/{employeeId}"

payload = { "organizationChartManagerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationChartManagerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api-{region}.sesametime.com/core/v3/employee-profiles/organization-chart-managers/{employeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": "",
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeId
string<uuid>
required

Employee ID

Body

application/json

The organization chart manager to create, update or delete

organizationChartManagerId
string<uuid>
required

The identifier of the organization chart manager

Response

200 - application/json

Object

data
string
Example:

""

meta
object